AIAI.comAIAI.com
AI Model APIImagesNative OpenAI format

Generate image

Create images given a prompt. Learn more.

POST
/v1/images/generations/
AuthorizationBearer <token>

In: header

Request Body

application/json

model?string

Models used for image generation. One of dall-e-2, dall-e-3, or gpt-image-1. Defaults to dall-e-2 unless using parameters specific to gpt-image-1.

prompt*string

A text description of the desired image. The maximum length for gpt-image-1 is 32000 characters, for dall-e-2 is 1000 characters, and for dall-e-3 is 4000 characters.

n?integer

The number of images to generate. Must be between 1 and 10. For dall-e-3, only n=1 is supported.

size?string

The size of the generated image. For gpt-image-1, it must be one of 1024x1024, 1536x1024 (landscape), 1024x1536 (portrait), or auto (default); for dall-e-2, it must be one of 256x256, 512x512, or 1024x1024; for dall-e-3, it must be one of 1024x1024, 1792x1024, or 1024x1792.

background?string

Allows setting transparency for the background of generated images. This parameter only supports gpt-image-1. Must be one of the following: transparent, opaque, or auto (default). When using auto, the model will automatically determine the optimal background for the image.

If transparent, the output format must support transparency, so it should be set to png (default) or webp.

moderation?string

Controls the content moderation level of images generated by gpt-image-1. Must be low for less restrictive filtering or auto (default).

quality?string

The quality of the generated images.

stream?string
style?string
user?string

Response Body

application/json

curl -X POST "https://api.aiai.com/v1/images/generations/" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{
  "created": 0,
  "data": [
    {
      "b64_json": "string",
      "url": "string"
    }
  ],
  "usage": {
    "total_tokens": 0,
    "input_tokens": 0,
    "output_tokens": 0,
    "input_tokens_details": {
      "text_tokens": 0,
      "image_tokens": 0
    }
  }
}